import {ApolloProvider} from '@apollo/client';
import React from 'react';
import {useTranslation} from 'react-i18next';
import {Text} from 'react-native';
import AnimeListViewComponent from './animeList/animeListView';
import {useClient} from './network/graphqlClient';
import Icon from 'react-native-vector-icons/FontAwesome';

function App(): React.JSX.Element {
  const {t, i18n} = useTranslation('pippo');
  return (
    <ApolloProvider client={useClient().client}>
      <AnimeListViewComponent />
      <Text>{t('header-title')}</Text>
      <Icon.Button name="facebook" backgroundColor="#3b5998">
        Login with Facebook
      </Icon.Button>
    </ApolloProvider>
  );
}

export default App;
