import React from 'react';
import {FlatList, StyleSheet, Text, View} from 'react-native';
import {useGetAnimeListQuery} from '../network/queries/anime/anime.generated';

const styles = StyleSheet.create({
  contentContainer: {
    flex: 1,
    flexDirection: 'column',
  },
  itemContainer: {
    flex: 1,
    flexDirection: 'row',
    marginVertical: 5,
    marginHorizontal: 15,
    justifyContent: 'space-between',
  },
});

const AnimeListViewComponent = () => {
  const {data, loading, error} = useGetAnimeListQuery({
    variables: {
      page: 1,
      perPage: 10,
    },
  });

  const renderAnimeItem = (item: any) => {
    return (
      <View style={styles.itemContainer}>
        <Text>{item.title?.userPreferred}</Text>
        <Text>{item.seasonYear}</Text>
      </View>
    );
  };

  return (
    <View style={styles.contentContainer}>
      <FlatList
        data={data?.Page?.media || []}
        renderItem={({item}) => renderAnimeItem(item)}
        refreshing={loading}
      />
    </View>
  );
};

export default AnimeListViewComponent;
