import * as Types from '../models/types';

import {gql} from '@apollo/client';
import * as Apollo from '@apollo/client';
const defaultOptions = {} as const;
export type GetAnimeListQueryVariables = Types.Exact<{
  page?: Types.InputMaybe<Types.Scalars['Int']['input']>;
  perPage?: Types.InputMaybe<Types.Scalars['Int']['input']>;
}>;

export type GetAnimeListQuery = {
  Page?: {
    media?: Array<{
      id: number;
      seasonYear?: number | null;
      title?: {userPreferred?: string | null} | null;
    } | null> | null;
  } | null;
};

export const GetAnimeListDocument = gql`
  query GetAnimeList($page: Int, $perPage: Int) {
    Page(page: $page, perPage: $perPage) {
      media {
        id
        title {
          userPreferred
        }
        seasonYear
      }
    }
  }
`;

/**
 * __useGetAnimeListQuery__
 *
 * To run a query within a React component, call `useGetAnimeListQuery` and pass it any options that fit your needs.
 * When your component renders, `useGetAnimeListQuery` returns an object from Apollo Client that contains loading, error, and data properties
 * you can use to render your UI.
 *
 * @param baseOptions options that will be passed into the query, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options;
 *
 * @example
 * const { data, loading, error } = useGetAnimeListQuery({
 *   variables: {
 *      page: // value for 'page'
 *      perPage: // value for 'perPage'
 *   },
 * });
 */
export function useGetAnimeListQuery(
  baseOptions?: Apollo.QueryHookOptions<GetAnimeListQuery, GetAnimeListQueryVariables>,
) {
  const options = {...defaultOptions, ...baseOptions};
  return Apollo.useQuery<GetAnimeListQuery, GetAnimeListQueryVariables>(
    GetAnimeListDocument,
    options,
  );
}
export function useGetAnimeListLazyQuery(
  baseOptions?: Apollo.LazyQueryHookOptions<GetAnimeListQuery, GetAnimeListQueryVariables>,
) {
  const options = {...defaultOptions, ...baseOptions};
  return Apollo.useLazyQuery<GetAnimeListQuery, GetAnimeListQueryVariables>(
    GetAnimeListDocument,
    options,
  );
}
export function useGetAnimeListSuspenseQuery(
  baseOptions?: Apollo.SuspenseQueryHookOptions<GetAnimeListQuery, GetAnimeListQueryVariables>,
) {
  const options = {...defaultOptions, ...baseOptions};
  return Apollo.useSuspenseQuery<GetAnimeListQuery, GetAnimeListQueryVariables>(
    GetAnimeListDocument,
    options,
  );
}
export type GetAnimeListQueryHookResult = ReturnType<typeof useGetAnimeListQuery>;
export type GetAnimeListLazyQueryHookResult = ReturnType<typeof useGetAnimeListLazyQuery>;
export type GetAnimeListSuspenseQueryHookResult = ReturnType<typeof useGetAnimeListSuspenseQuery>;
export type GetAnimeListQueryResult = Apollo.QueryResult<
  GetAnimeListQuery,
  GetAnimeListQueryVariables
>;
